<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Biodata_model extends CI_Model {

		public function __construct()
		{
			parent::__construct();
			$this->load->database();
		}
		
	public function user2($no_pendaftaran)
	{
		$this->db->select('*');
		$this->db->from('data_siswa');
		$this->db->where('no_pendaftaran', $no_pendaftaran);
		$this->db->order_by('no_pendaftaran','desc');
		$query = $this->db->get();
		return $query->row();		
	}

	public function user3($no_pendaftaran)
	{
		$this->db->select('*');
		$this->db->from('v_rpt_data_pengumuman');
		$this->db->where('no_pendaftaran', $no_pendaftaran);
		$this->db->order_by('no_pendaftaran','desc');
		$query = $this->db->get();
		return $query->row();		
	}

	public function berkas($no_pendaftaran)
	{
		$this->db->select('*');
		$this->db->from('v_rpt_trans_berkas');
		$this->db->where('no_pendaftaran', $no_pendaftaran);
		$this->db->order_by('no_pendaftaran','desc');
		$query = $this->db->get();
		return $query->row();		
	}

	
	public function menu()
	{
		$this->db->select('*');
			$this->db->from('pengaturan');
			//where
			$this->db->where('pengaturan_slug','menu_edit_ops');
			$this->db->order_by('pengaturan_slug','desc');
			$query = $this->db->get();
			return $query->row();		
	}

	public function menu2()
	{
		$this->db->select('*');
			$this->db->from('pengaturan');
			//where
			$this->db->where('pengaturan_slug','menu_edit_tgllahir');
			$this->db->order_by('pengaturan_slug','desc');
			$query = $this->db->get();
			return $query->row();		
	}

	public function menu_psswd()
	{
		$this->db->select('*');
		$this->db->from('pengaturan');
		//where
		$this->db->where('pengaturan_slug','menu_edit_psswd');
		$this->db->order_by('pengaturan_slug','desc');
		$query = $this->db->get();
		return $query->row();		
	}

	//ubah peserta
	public function edit($data)
	{
		$this->db->where('no_pendaftaran', $data['no_pendaftaran']);
		$this->db->update('data_siswa', $data);
	}

}

/* End of file Dashboard_model.php */
/* Location: ./application/models/Dashboard_model.php */